%define with_doc 1

Summary:	Yet oneOther Document Language
Name:		yodl
Version:	3.00.0
Release:	%mkrel 3
License:	GPLv3
Group:		Publishing
URL:		http://yodl.sourceforge.net/
Source:		http://sourceforge.net/projects/yodl/files/yodl/3.00.0/yodl_3.00.0.orig.tar.gz
# patch to compile with our %%optflags
Patch0:		yodl-compile-flags.patch
BuildRequires:	icmake
%if %with_doc
BuildRequires:	texlive
%endif

%description
Yodl is a package that implements a pre-document language and tools to
process it. The idea of Yodl is that you write up a document in a
pre-language, then use the tools (e.g. yodl2html) to convert it to some
final document language. Current converters are for HTML, ms, man, LaTeX
SGML and texinfo, plus a poor-man's text converter. Main document types are
"article", "report", "book" and "manpage". The Yodl document language is
designed to be easy to use and extensible.

%if %with_doc
%package doc
Summary: %{name} documentation package
Group: Documentation

%description doc
This package contains the yold documentation files.
%endif

%prep
%setup -q
%patch0 -p1

%build
./build programs
./build man

%if %with_doc
./build manual
%endif

./build macros

%install
rm -rf %{buildroot}

./build install programs %{buildroot}
./build install man      %{buildroot}
%if %with_doc
./build install manual   %{buildroot}
%endif
./build install macros   %{buildroot}

%if %with_doc

# fix encoding
pushd tmp/install/usr/share/doc/yodl-doc/
for i in yodl.txt yodl.latex; do
  iconv -f ISO-8859-1 -t UTF8 $i -o $i-utf-8;
  mv -f $i-utf-8 $i;
done

# we'll %%doc these ones
rm -f %{buildroot}%{_docdir}/yodl-doc/{AUTHORS.txt,CHANGES,changelog}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS.txt CHANGES changelog LICENSE README.3.00.0 README.txt
%{_bindir}/yodl
%{_bindir}/yodl2html
%{_bindir}/yodl2latex
%{_bindir}/yodl2man
%{_bindir}/yodl2txt
%{_bindir}/yodl2whatever
%{_bindir}/yodl2xml
%{_bindir}/yodlpost
%{_bindir}/yodlstriproff
%{_bindir}/yodlverbinsert
%{_mandir}/man1/yodl.1.*
%{_mandir}/man1/yodl2html.1.*
%{_mandir}/man1/yodl2latex.1.*
%{_mandir}/man1/yodl2man.1.*
%{_mandir}/man1/yodl2txt.1.*
%{_mandir}/man1/yodl2whatever.1.*
%{_mandir}/man1/yodl2xml.1.*
%{_mandir}/man1/yodlconverters.1.*
%{_mandir}/man1/yodlpost.1.*
%{_mandir}/man1/yodlstriproff.1.*
%{_mandir}/man1/yodlverbinsert.1.*
%{_mandir}/man7/yodlbuiltins.7.*
%{_mandir}/man7/yodlletter.7.*
%{_mandir}/man7/yodlmacros.7.*
%{_mandir}/man7/yodlmanpage.7.*
%{_datadir}/yodl/

%if %with_doc
%files doc
%defattr(-,root,root)
%{_docdir}/yodl-doc/
%endif


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.00.0-3.mga3
+ Revision: 387579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 3.00.0-2.mga3
+ Revision: 310403
- update RPM group

* Mon Mar 07 2011 ahmad <ahmad> 3.00.0-1.mga1
+ Revision: 66070
- update to 3.00.0
- clean spec

* Sat Mar 05 2011 dmorgan <dmorgan> 1.31.18-17.mga1
+ Revision: 64937
- Do not build doc, need to be fixed for texlive

  + ennael <ennael>
    - imported package yodl

